Page MenuHomeFreeBSD

Remove old depend code and make FAST_DEPEND one true way.
ClosedPublic

Authored by bdrewery on Mar 25 2016, 9:56 PM.
Tags
None
Referenced Files
Unknown Object (File)
Apr 16 2017, 8:21 PM
Unknown Object (File)
Apr 15 2017, 11:07 PM
Unknown Object (File)
Apr 14 2017, 8:46 PM
Unknown Object (File)
Apr 12 2017, 10:53 PM
Unknown Object (File)
Apr 12 2017, 3:35 PM
Unknown Object (File)
Apr 11 2017, 8:50 AM
Unknown Object (File)
Apr 11 2017, 2:37 AM
Unknown Object (File)
Apr 10 2017, 4:45 PM
Subscribers

Details

Summary

All of the removed code is handled by the FAST_DEPEND code.

A suspicious looking removals are in bsd.prog.mk/bsd.lib.mk but they were
replaced by a OBJS_DEPEND_GUESS variable that bsd.dep.mk now handles
when there is no .depend.<foo.o> file.

I am unsure if I missed more in sys/conf that can come out.

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

bdrewery retitled this revision from to Remove old depend code and make FAST_DEPEND one true way..
bdrewery updated this object.
bdrewery edited the test plan for this revision. (Show Details)
bdrewery added reviewers: imp, emaste, hselasky, jhb.

Fix a comment and remove more from sys/conf.

Makefile.inc1
151–155 ↗(On Diff #14616)

This is now redundant.

Makefile.inc1
151–155 ↗(On Diff #14616)

Ah right, I intended to remove all of the 'make depend' in here too. Thanks.

Remove leftover tree-walks and NO_KERNELDEPEND references. Also fixup build.7 documentation for new depend.

Makefile.inc1
631 ↗(On Diff #14720)

This will break some of my finger memory :-)

hselasky edited edge metadata.

Looks OK with regard to the kern.post.mk mlx5 related changes.

This revision is now accepted and ready to land.Mar 29 2016, 6:11 PM
bdrewery edited edge metadata.

Keep old stage numbers

This revision now requires review to proceed.Mar 29 2016, 7:06 PM
Makefile.inc1
631 ↗(On Diff #14720)

Although I do have searched build logs with /4\.4/, the comment was mostly in jest. Having a missing 4.3 is probably more confusing.

bdrewery edited edge metadata.

Don't skip stage numbers

emaste edited edge metadata.

I think this is fine. This stuff is subtle and I'm a bit worried about edge cases, but I don't see a good way to find them other than committing.

This revision is now accepted and ready to land.Mar 29 2016, 7:19 PM
wblock added inline comments.
Makefile.inc1
969 ↗(On Diff #14722)

A word is missing (probably "on"), but "depending" is likely not the best choice of word here, either. The wording is so vague it is hard to suggest something clearer. Something about how TARGET affects which config files are used, at a guess.

share/man/man7/build.7
128 ↗(On Diff #14722)

Quotes are not needed here. They are only necessary when single parameter will be mistaken to be multiples because of whitespace. No harm, though.

sys/conf/kern.post.mk
151 ↗(On Diff #14722)

spelling error

Makefile.inc1
969 ↗(On Diff #14722)

Indeed, but this predates @bdrewery's changes by a decade and a half or so. This should be improved in a separate commit.

sys/conf/kern.post.mk
151 ↗(On Diff #14722)

As above, perhaps in a separate commit

brooks edited edge metadata.

No obvious issues in the diff. I've been running our local tree with FAST_DEPEND as the default for quite a while now and haven't had any issues.

bdrewery edited edge metadata.

A few more unneeded 'make depend' walks

This revision now requires review to proceed.Mar 30 2016, 9:38 PM
This revision was automatically updated to reflect the committed changes.